> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /ollama/models

> Get Ollama model details by name or URL

**Price:** 5 credits

**⚠️ Common errors:** 412: Model not found



## OpenAPI

````yaml /openapi/package-registries.json post /api/ollama/models
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/ollama/models:
    post:
      tags:
        - /ollama
      summary: /ollama/models
      description: |-
        Get Ollama model details by name or URL

        **Price:** 5 credits

        **⚠️ Common errors:** 412: Model not found
      operationId: __api_ollama_models_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OllamaModelPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OllamaModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OllamaModelPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        model:
          type: string
          minLength: 1
      type: object
      required:
        - model
    OllamaModel:
      properties:
        '@type':
          type: string
          default: OllamaModel
        name:
          type: string
        alias:
          type: string
        url:
          type: string
        pull_count:
          anyOf:
            - type: integer
            - type: 'null'
        tag_count:
          anyOf:
            - type: integer
            - type: 'null'
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
        capabilities:
          items:
            type: string
          type: array
          default: []
        parameter_sizes:
          items:
            type: string
          type: array
          default: []
        is_official:
          type: boolean
          default: false
        variants:
          items:
            $ref: '#/components/schemas/OllamaModelTag'
          type: array
          default: []
        readme:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
        - alias
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    OllamaModelTag:
      properties:
        '@type':
          type: string
          default: OllamaModelTag
        tag:
          type: string
        digest:
          anyOf:
            - type: string
            - type: 'null'
        size:
          anyOf:
            - type: string
            - type: 'null'
        size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
        context:
          anyOf:
            - type: string
            - type: 'null'
        input:
          anyOf:
            - type: string
            - type: 'null'
        quantization:
          anyOf:
            - type: string
            - type: 'null'
        parameter_size:
          anyOf:
            - type: string
            - type: 'null'
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
        is_default:
          type: boolean
          default: false
      type: object
      required:
        - tag
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````